using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.BusinessLogicsContracts
{
    public interface ICookLogic
    {
        List<CookViewModel>? ReadList(CookSearchModel? model);
        CookViewModel? ReadElement(CookSearchModel model);
        bool Create(CookBindingModel model);
        bool Update(CookBindingModel model);
        bool Delete(CookBindingModel model);
    }
}
